| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jmemmgr.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jmemsys.h"`

Go to the source code of this file.

## Classes
union | small_pool_struct
union | large_pool_struct
struct | my_memory_mgr
struct | jvirt_sarray_control
struct | jvirt_barray_control

## Macros
#define | JPEG_INTERNALS
#define | AM_MEMORY_MANAGER /* we define jvirt_Xarray_control structs */
#define | ALIGN_TYPE double
#define | MIN_SLOP 50 /* greater than 0 to avoid futile looping */

## Typedefs
typedef union small_pool_struct * | small_pool_ptr
typedef union small_pool_struct | small_pool_hdr
typedef union large_pool_struct FAR * | large_pool_ptr
typedef union large_pool_struct | large_pool_hdr
typedef my_memory_mgr * | my_mem_ptr

## Functions
| out_of_memory (j_common_ptr cinfo, int which)
| alloc_small (j_common_ptr cinfo, int pool_id, size_t sizeofobject)
| alloc_large (j_common_ptr cinfo, int pool_id, size_t sizeofobject)
| alloc_sarray (j_common_ptr cinfo, int pool_id, JDIMENSION samplesperrow, JDIMENSION numrows)
| alloc_barray (j_common_ptr cinfo, int pool_id, JDIMENSION blocksperrow, JDIMENSION numrows)
| request_virt_sarray (j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION samplesperrow, JDIMENSION numrows, JDIMENSION maxaccess)
| request_virt_barray (j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION blocksperrow, JDIMENSION numrows, JDIMENSION maxaccess)
| realize_virt_arrays (j_common_ptr cinfo)
| do_sarray_io (j_common_ptr cinfo, jvirt_sarray_ptr ptr, boolean writing)
| do_barray_io (j_common_ptr cinfo, jvirt_barray_ptr ptr, boolean writing)
| access_virt_sarray (j_common_ptr cinfo, jvirt_sarray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable)
| access_virt_barray (j_common_ptr cinfo, jvirt_barray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable)
| free_pool (j_common_ptr cinfo, int pool_id)
| self_destruct (j_common_ptr cinfo)
| jinit_memory_mgr (j_common_ptr cinfo)

## Macro Definition Documentation

#define ALIGN_TYPE double

Definition at line 73 of file jmemmgr.c.

#define AM_MEMORY_MANAGER /* we define jvirt_Xarray_control structs */

Definition at line 28 of file jmemmgr.c.

#define JPEG_INTERNALS

Definition at line 27 of file jmemmgr.c.

#define MIN_SLOP 50 /* greater than 0 to avoid futile looping */

Definition at line 253 of file jmemmgr.c.

## Typedef Documentation

typedef union large_pool_struct large_pool_hdr

typedef union large_pool_struct FAR* large_pool_ptr

Definition at line 100 of file jmemmgr.c.

typedef my_memory_mgr* my_mem_ptr

Definition at line 140 of file jmemmgr.c.

typedef union small_pool_struct small_pool_hdr

typedef union small_pool_struct* small_pool_ptr

Definition at line 89 of file jmemmgr.c.

## Function Documentation

access_virt_barray | ( | j_common_ptr | cinfo,
|  | jvirt_barray_ptr | ptr,
|  | JDIMENSION | start_row,
|  | JDIMENSION | num_rows,
|  | boolean | writable
| ) |  |

Definition at line 841 of file jmemmgr.c.

access_virt_sarray | ( | j_common_ptr | cinfo,
|  | jvirt_sarray_ptr | ptr,
|  | JDIMENSION | start_row,
|  | JDIMENSION | num_rows,
|  | boolean | writable
| ) |  |

Definition at line 756 of file jmemmgr.c.

alloc_barray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | JDIMENSION | blocksperrow,
|  | JDIMENSION | numrows
| ) |  |

Definition at line 443 of file jmemmgr.c.

alloc_large | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | size_t | sizeofobject
| ) |  |

Definition at line 342 of file jmemmgr.c.

alloc_sarray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | JDIMENSION | samplesperrow,
|  | JDIMENSION | numrows
| ) |  |

Definition at line 395 of file jmemmgr.c.

alloc_small | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | size_t | sizeofobject
| ) |  |

Definition at line 257 of file jmemmgr.c.

do_barray_io | ( | j_common_ptr | cinfo,
|  | jvirt_barray_ptr | ptr,
|  | boolean | writing
| ) |  |

Definition at line 723 of file jmemmgr.c.

do_sarray_io | ( | j_common_ptr | cinfo,
|  | jvirt_sarray_ptr | ptr,
|  | boolean | writing
| ) |  |

Definition at line 690 of file jmemmgr.c.

free_pool | ( | j_common_ptr | cinfo,
|  | int | pool_id
| ) |  |

Definition at line 930 of file jmemmgr.c.

jinit_memory_mgr | ( | j_common_ptr | cinfo | ) |

Definition at line 1028 of file jmemmgr.c.

out_of_memory | ( | j_common_ptr | cinfo,
|  | int | which
| ) |  |

Definition at line 217 of file jmemmgr.c.

realize_virt_arrays | ( | j_common_ptr | cinfo | ) |

Definition at line 583 of file jmemmgr.c.

request_virt_barray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | boolean | pre_zero,
|  | JDIMENSION | blocksperrow,
|  | JDIMENSION | numrows,
|  | JDIMENSION | maxaccess
| ) |  |

Definition at line 553 of file jmemmgr.c.

request_virt_sarray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | boolean | pre_zero,
|  | JDIMENSION | samplesperrow,
|  | JDIMENSION | numrows,
|  | JDIMENSION | maxaccess
| ) |  |

Definition at line 523 of file jmemmgr.c.

self_destruct | ( | j_common_ptr | cinfo | ) |

Definition at line 1002 of file jmemmgr.c.